% Experiment on SED2
myTic=tic;
addpath('/lab/raid/models/saliencyDetection/datasets')
load('/lab/raid/models/saliencyDetection/score/union_2.mat')
% fnameList=SED2getList;
fnameList=JuddgetList; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all

ourData = cell(length(fnameList),2);

numClicks = 5;

subjName = input('Enter subject name:','s');
subjGender = input('Enter subject gender (M/F):','s');
subjAge    = input('Enter subject age:','s');

%figure
fullscreen = get(0,'ScreenSize');
figure('Position',[0 0 fullscreen(3) fullscreen(4)])
% order=dataScore{3}; % SED2
% order=dataScore{4}; % SOD %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% [s idx]=sort(order,'ascend');
% idx=randperm(length(fnameList)); %%% RANDOM
idx=cell2mat(getJuddIdx);
idxz=randperm(length(idx)); %%% RANDOM
for j=idxz%1:length(fnameList)
    i=idx(j);
%     img=SED2getPic(fnameList{i});
    img=JuddgetPic(fnameList{i}); %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    subplot(1,1,1)
    img = imresize(img,2);
%     imshow(img);

%     [a b c]=SED2getBox(fnameList{i});
%     [a b c]=SODgetBox(fnameList{i}); %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
%     image(c*10)   
%     daspect([1 1 1])
%     pause(.5)

    
    image(img)   
    ylabel(num2str(i))
    daspect([1 1 1])
    
    title('')
% get mouse location
%      flag = 0;
%      while ~flag
    x=zeros(numClicks,1);
    y=zeros(numClicks,1);
     for kk=1:numClicks
         title(['Clicks remaining : ' num2str(numClicks-kk+1)])
     [x(kk),y(kk)] = ginput(1);
     end
     
     
%      if c(round(y/2),round(x/2)) % right on
%         ourData{i}=[x,y];
%         flag = 1;
%      else % mistake
%          title('Error! Please click on an object area.')
%      end
%      end
    ourData{i,1}=[x,y];
    ourData{i,2}=toc(myTic);
end
close all
save(['/lab/raid/models/saliencyDetection/salJudgeData/exp3/Judd_' subjName '.mat'], 'ourData','subjName','subjGender','subjAge','idx');
% save(['/lab/raid/models/saliencyDetection/saliencyJudgeData/' subjName '.mat'], 'ourData');
