% Experiment on SED2

addpath('/lab/raid/models/saliencyDetection/datasets')
load('/lab/raid/models/saliencyDetection/score/union_2.mat')
% fnameList=SED2getList;
fnameList=SODgetList; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all

ourData = cell(length(fnameList),1);


subjName = input('Enter subject name:','s');
subjGender = input('Enter subject gender (M/F):','s');
subjAge    = input('Enter subject age:','s');

%figure
fullscreen = get(0,'ScreenSize');
figure('Position',[0 0 fullscreen(3) fullscreen(4)])
% order=dataScore{3}; % SED2
% order=dataScore{4}; % SOD %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% [s idx]=sort(order,'ascend');
idx = randperm(fnameList);  %%% RANDOM ORDER
for j=1:length(fnameList)
    i=idx(j);
%     img=SED2getPic(fnameList{i});
    img=SODgetPic(fnameList{i}); %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    subplot(1,1,1)
    img = imresize(img,2);
%     imshow(img);

%     [a b c]=SED2getBox(fnameList{i});
    [a b c]=SODgetBox(fnameList{i}); %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
%     image(c*10)   
%     daspect([1 1 1])
%     pause(.5)

    
    image(img)   
    daspect([1 1 1])
    
    title('')
% get mouse location
     flag = 0;
     while ~flag
     [x,y] = ginput(1);
     if c(round(y/2),round(x/2)) % right on
        ourData{i}=[x,y];
        flag = 1;
     else % mistake
         title('Error! Please click on an object area.')
     end
     end
    
     
end
close all
save(['/lab/raid/models/saliencyDetection/salJudgeData/exp1/SOD_' subjName '.mat'], 'ourData','subjName','subjGender','subjAge','idx');
% save(['/lab/raid/models/saliencyDetection/saliencyJudgeData/' subjName '.mat'], 'ourData');
