clear all
close all
clc

myTic = tic;

generatePath;

myPath = '/lab/raid/models/saliencyDetection/';

datasetUsed = { ...
%     'ASD'
%     'MSRA'
%     'SED'
%     'SED2'
%     'SOD'
%     'JOV2008d' %NEW!
%     'ImgSal' %NEW!
%     'Ehinger'
    'Bruce'
    };

modelUsed = { ...
%     'FTS'
%     'Goferman'
%     'EDS'
%     'CBsal'
%     'Materias'
%     'salLiu'
%     'SVO'
% %     'MSSS'
% %     'AC'
%     'MichalGazit'

%     % saliency maps
%     'SAIM'
%     'SAWS'
%     'SGBVS'
%     'SHouCVPR'
%     'SHouNIPS'
%     'SITTI'
%     'SPQFT'
%     'SSUN'
%     'SSEO'
% %     'SJudd'
%     'SITTI98'
%     'SWalther'
%     'STorralba'
    };


for ds=1:length(datasetUsed)
    
    %directory check
    printLog(myTic,'directory check:',datasetUsed{ds})
    for mm=1:length(modelUsed)
        if ~exist([myPath 'output/' modelUsed{mm}],'dir')
            mkdir([myPath 'output/' modelUsed{mm}]);
        end
        if ~exist([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds}],'dir')
            mkdir([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds}]);
        end
    end
    
    eval(['imName = ' datasetUsed{ds} 'getList;'])
    for imNo = 1:length(imName)
        eval(['[imData imPath] = ' datasetUsed{ds} 'getPic(imName{imNo});'])
        for mm=1:length(modelUsed)
            printLog(myTic,'dataset',datasetUsed{ds},'| imgNo',imNo,'/',length(imName),'| model',modelUsed{mm})
            if ~exist([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds} '/' rmExt(imName{imNo}) '.mat'],'file')
                try
                    T=evalc(['SM = ' modelUsed{mm} '(imData, imPath);']);
                    if ~isempty(SM)
                        save([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds} '/' rmExt(imName{imNo}) '.mat'],'SM');
                    end
                catch err
                    printLog(myTic,'Error');
                end
            end
        end
    end
end

