clear all
close all
clc

myTic = tic;

generatePath;

myDataset = { ...
%     'ASD'
%     'MSRA'
%     'SED'
%     'SED2'
%     'SOD'
    'Ehinger'
    };
numSampleImg = 5;

load('datasetRatio_2.mat');

for i=1:length(myDataset)
    eval(['myList = ' myDataset{i} 'getList;']);
    
    figure
    
    myOwnRatio = fullRatio{i};
    [a ratAsc] = sort(myOwnRatio,'ascend');
    [a ratDes] = sort(myOwnRatio,'descend');
    
    for j=1:numSampleImg
        printLog(myTic,'dataset:',myDataset{i},'sample img:',j,'/',numSampleImg );
        % ascend
        subplot(numSampleImg,4,(j-1)*4 + 1)
        eval(['[za zb zc] = ' myDataset{i} 'getBox(myList{ratAsc(j)},1);'])
        if i==2 && j==5 % MSRA have duplicates
        eval(['[za zb zc] = ' myDataset{i} 'getBox(myList{ratAsc(j+1)},1);'])
        end
        subplot(numSampleImg,4,(j-1)*4 + 2)
        imshow(zc,[]);
        % descend
        subplot(numSampleImg,4,(j-1)*4 + 3)
        eval(['[za zb zc] = ' myDataset{i} 'getBox(myList{ratDes(j)},1);'])
        subplot(numSampleImg,4,(j-1)*4 + 4)
        imshow(zc,[]);
    end

end

