% close all
clear all
myTic = tic;

% allOld_ImgSal_28-Feb-2012__IO1_1
% Eye_ImgSal_27-Feb-2012__IO_1
load('score/allOld_ImgSal_28-Feb-2012__IO1_1.mat')
aucs=zeros(length(scoreROCf),1);
for mm=1:length(scoreROCf)
    tpp = scoreROCt{mm};
    fpp = scoreROCf{mm};
    % remove all NaNs
    tpp(isnan(tpp)) = 0;
    fpp(isnan(fpp)) = 0;
    %plot(mean(fpp),mean(tpp),'color',rand(1,3));
    %plot(mean(fpp),mean(tpp),theCodes{mm,1},'linewidth',theCodes{mm,2} );
    aucs(mm) = -trapz((fpp),(tpp));
end


load('score/Eye_ImgSal_02-Mar-2012__IO_1.mat')
aucz=vertcat(scoreROCa{:});

plot(aucz,aucs,'.')
xlabel('Eye')
ylabel('Annotation')
hold on
plot(0:.1:1,0:.1:1)
xlim([.5 1])
ylim([.5 1])


[a zzza]=sort(aucs,'descend'); % annotation IO
[a zzzb]=sort(aucz,'descend'); % fixation IO
hdma=[];hama=[];hdmd=[];hamd=[];
ma=false(size(zzza));
md=false(size(zzza));
hd=false(size(zzzb));
ha=false(size(zzzb));
leI=0;
while length(hdma)<6 || length(hama)<6 || length(hdmd)<6 || length(hamd)<6
    ma(zzza(end-leI))=true;
    md(zzza(1+leI))=true;
    ha(zzzb(end-leI))=true;
    hd(zzzb(1+leI))=true;
    if length(hdma) < 6; hdma = find(hd & ma); end
    if length(hama) < 6; hama = find(ha & ma); end
    if length(hdmd) < 6; hdmd = find(hd & md); end
    if length(hamd) < 6; hamd = find(ha & md); end
    leI = leI + 1;
end

figure
dataSet='ImgSal';
imName=ImgSalgetList;
[eyeSingle eyeSubj] = ImgSalgetEye;
for i=1:5
    subplot(4,5,i)
    eval([dataSet 'getBox(imName{hdma(i)},1);'])
    idx=eyeSingle{hdma(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hdma(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('fix high, ann low');end
    subplot(4,5,i+5)
    eval([dataSet 'getBox(imName{hama(i)},1);'])
    idx=eyeSingle{hama(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hama(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('fix low, ann low');end
    subplot(4,5,i+10)
    eval([dataSet 'getBox(imName{hdmd(i)},1);'])
    idx=eyeSingle{hdmd(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hdmd(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('fix high, ann high');end
    subplot(4,5,i+15)
    eval([dataSet 'getBox(imName{hamd(i)},1);'])
    idx=eyeSingle{hamd(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hamd(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('fix low, ann high');end
end