clear all
close all
clc

myTic = tic;

generatePath;

% myDataset = { ...
%     'ASD'
%     'MSRA'
%     'SED'
%     'SED2'
%     'SOD'
%     };
numSampleImg = 5;

load('score/union_2.mat');

for i=1:length(datasetUsed)
    eval(['myList = ' datasetUsed{i} 'getList;']);
    
    fig1=figure;
    
    myOwnRatio = dataScore{i};
    [a ratAsc] = sort(myOwnRatio,'ascend');
    [a ratDes] = sort(myOwnRatio,'descend');
    
    for j=1:numSampleImg
        printLog(myTic,'dataset:',datasetUsed{i},'sample img:',j,'/',numSampleImg );
        % ascend
        subplot(numSampleImg,4,(j-1)*4 + 1)
        eval(['[za zb zc] = ' datasetUsed{i} 'getBox(myList{ratAsc(j)},1);'])
        if i==2 && j==5 % MSRA have duplicates
        eval(['[za zb zc] = ' datasetUsed{i} 'getBox(myList{ratAsc(j+1)},1);'])
        end
        subplot(numSampleImg,4,(j-1)*4 + 2)
        imshow(zc,[]);
        % descend
        subplot(numSampleImg,4,(j-1)*4 + 3)
        eval(['[za zb zc] = ' datasetUsed{i} 'getBox(myList{ratDes(j)},1);'])
        subplot(numSampleImg,4,(j-1)*4 + 4)
        imshow(zc,[]);
    end
    saveas(fig1,['score/consistency_Img' datasetUsed{i} '_' date '.eps']);

end

