load('/lab/raid/models/saliencyDetection/score/Eye_JOV2008d_26-Feb-2012__fullRun_1.mat')
idxA=9;
idxB=11;
myScoreA=vertcat(scoreROCa{:,idxA});
myScoreB=vertcat(scoreROCa{:,idxB});

mNameA=modelUsed{idxA};
mNameB=modelUsed{idxB};


subplot(2,2,3)
plot(myScoreA,myScoreB,'.');
xlim([.4 1])
ylim([.4 1])
hold on
plot(.1:.1:1,.1:.1:1)

range=.4:.05:1;

histA=hist(myScoreA,range);
histB=hist(myScoreB,range);

subplot(2,2,1)
bar(histA)
xlim([.5 length(range)+.5])
set(gca,'xtick',1:length(range))
set(gca,'xticklabel',range)
title(mNameA)
subplot(2,2,4)
barh(histB)
ylim([.5 length(range)+.5])
set(gca,'ytick',1:length(range))
set(gca,'yticklabel',range)
title(mNameB)



[a zzza]=sort(myScoreA,'descend'); % ITTI98
[a zzzb]=sort(myScoreB,'descend'); % JOV
hdma=[];hama=[];hdmd=[];hamd=[];
ma=false(size(zzza));
md=false(size(zzza));
hd=false(size(zzzb));
ha=false(size(zzzb));
leI=0;
while length(hdma)<6 || length(hama)<6 || length(hdmd)<6 || length(hamd)<6
    ma(zzza(end-leI))=true;
    md(zzza(1+leI))=true;
    ha(zzzb(end-leI))=true;
    hd(zzzb(1+leI))=true;
    if length(hdma) < 6; hdma = find(hd & ma); end
    if length(hama) < 6; hama = find(ha & ma); end
    if length(hdmd) < 6; hdmd = find(hd & md); end
    if length(hamd) < 6; hamd = find(ha & md); end
    leI = leI + 1;
end

figure
dataSet='JOV2008d';
imName=JOV2008dgetList;
[eyeSingle eyeSubj] = JOV2008dgetEye;
for i=1:5
    subplot(4,5,i)
    eval(['I=' dataSet 'getPic(imName{hdma(i)});']);imshow(I)
    idx=eyeSingle{hdma(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hdma(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('seg high, sal low');end
    subplot(4,5,i+5)
    %eval([dataSet 'getBox(imName{hama(i)},1);'])
    eval(['I=' dataSet 'getPic(imName{hama(i)});']);imshow(I)
    idx=eyeSingle{hama(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hama(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('seg low, sal low');end
    subplot(4,5,i+10)
    %eval([dataSet 'getBox(imName{hdmd(i)},1);'])
    eval(['I=' dataSet 'getPic(imName{hdmd(i)});']);imshow(I)
    idx=eyeSingle{hdmd(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hdmd(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('seg high, sal high');end
    subplot(4,5,i+15)
    %eval([dataSet 'getBox(imName{hamd(i)},1);'])
    eval(['I=' dataSet 'getPic(imName{hamd(i)});']);imshow(I)
    idx=eyeSingle{hamd(i)} > 0;
    [y x]=ind2sub(size(eyeSingle{hamd(i)}),find(idx));
    hold on;plot(x,y,'.y');hold off
    if i==1;title('seg low, sal high');end
end