function [ imgOut ] = makeBoxMap( SM )
%SM = MAKEBOXMAP ( SalMap )
%   make the bounding box version of the salmap

if islogical(SM)
    salmap = SM;
else
    salmap = SM > 0;
end

[ty tx] = ind2sub(size(salmap),find(salmap));
boxes = [min(tx) min(ty) max(tx) max(ty)];

imgOut = false(size(SM));
if ~isempty(boxes)
    imgOut(boxes(2):boxes(4), boxes(1):boxes(3)) = true;
end

end

