function img = DrawBox(img, box, nWid)
[h w c] = size(img);
img = reshape(img, [], c);
box(:,1:4) = round(box(:,1:4));
nBox = size(box,1);

mask = zeros(h, w);
for l=1:nBox
    mask([max(box(l,2)-nWid,1):min(box(l,2)+nWid,h), max(box(l,4)-nWid,1):min(box(l,4)+nWid,h)],...
        max(box(l,1)-nWid,1):min(box(l,3)+nWid,w)) = 1;
    mask(max(box(l,2)-nWid,1):min(box(l,4)+nWid,h),...
        [max(box(l,1)-nWid,1):min(box(l,1)+nWid,w), max(box(l,3)-nWid,1):min(box(l,3)+nWid,w)]) = 1;
end
img(mask(:)==1,:) = repmat([255,0,0], sum(mask(:)), 1);
img = reshape(img, [h, w, c]);