function eng = ComputeEng(lMatrix, spSalPrior, score_td, spToCC, spInWin, x_sal, x_obj, c_1, c_2, bShow)

if(~exist('bShow','var'))
    bShow = 1;
end

spSal = (spToCC*x_obj)./(max(spInWin*x_obj,eps));

eng = norm(spSal-x_sal,2)^2 + x_sal'*(lMatrix-(1+c_1)*eye(length(lMatrix)))*x_sal + c_1*norm(spSalPrior-x_sal,2)^2 + c_2*norm(x_obj-score_td,2)^2;

if(bShow==1)
    fprintf('  pair eng:   %10.4f\n', x_sal'*(lMatrix-(1+c_1)*eye(length(lMatrix)))*x_sal);
    fprintf('  cc eng:     %10.4f\n', norm(spSal-x_sal,2)^2);
    fprintf('  spPrior eng:%10.4f\n', c_1*norm(spSalPrior-x_sal,2)^2);
    fprintf('  td eng:     %10.4f\n', c_2*norm(x_obj-score_td,2)^2);
end