function [ img fullPath] = MSRAgetPic( fname )
%MSRAGETPIC Summary of this function goes here
%   Detailed explanation goes here

myFullPath = '/lab/raid/models/saliencyDetection/datasets/MSRA/';

% this to avoid reloading the file multiple times
global MSRAdatasets;
if isempty(MSRAdatasets)
    load('MSRAtags.mat');
    MSRAdatasets{1} = picname;
    MSRAdatasets{2} = picsize;
    MSRAdatasets{3} = picbox;
end

% get the image
zz = strcmp(MSRAdatasets{1},fname);
idx=find(zz);
fldr = floor((idx-1)/500); % they only have 500 image on each folder
img = imread([myFullPath 'ImageB/Image/' num2str(fldr) '/' fname ]);
fullPath = [myFullPath 'ImageB/Image/' num2str(fldr) '/' fname ];
end

