clear all
close all
clc

myTic = tic;

generatePath;

myPath = '/lab/raid/models/saliencyDetection/';

datasetUsed = { ...
    'ASD'
    'MSRA'
%     'SED'
    'SED2'
    'SOD'
    };

modelUsed = { ...
    'Mishra' %salient region segmenter
    };

salApp = '/lab/raid/models/saliencyDetection/models/activeSegCode_ver_1_1/segmentSingleImg';
outPath = '/lab/ilab/1/cache/';
if ~exist(outPath,'dir')
    mkdir(outPath);
end

for ds=1:length(datasetUsed)
    
    %directory check
    printLog(myTic,'directory check:',datasetUsed{ds})
    for mm=1:length(modelUsed)
        if ~exist([myPath 'output/' modelUsed{mm}],'dir')
            mkdir([myPath 'output/' modelUsed{mm}]);
        end
        if ~exist([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds}],'dir')
            mkdir([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds}]);
        end
    end
    
    eval(['imName = ' datasetUsed{ds} 'getList;'])
    for imNo = 1:length(imName)
        eval(['[imData imPath]= ' datasetUsed{ds} 'getPic(imName{imNo});'])
        for mm=1:length(modelUsed)
            printLog(myTic,'dataset',datasetUsed{ds},'| imgNo',imNo,'/',length(imName),'| model',modelUsed{mm})
            if ~exist([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds} '/' rmExt(imName{imNo}) '.mat'],'file')
                %eval(['SM = ' modelUsed{mm} '(imData);'])
                
                justName = rmExt(imName{imNo});
                if ~exist([outPath justName '_region_1.pgm'],'file')
                    %do saliency
                    unix([salApp ' ' imPath ' ' outPath justName]);
                end
                
                % the SRS not always have 5 images as output
                mySalname = [outPath justName '_region_1.pgm'];
                if exist(mySalname,'file');
                    SM = imread(mySalname);
                    save([myPath 'output/' modelUsed{mm} '/' datasetUsed{ds} '/' rmExt(imName{imNo}) '.mat'],'SM');
                end
            end
        end
    end
end

