function moveSal()
%MOVESAL
%   just moving some pre-calculated saliency models on some dataset
generatePath;
myTic = tic;

% myDataset = 'ASD';
% myDataset = 'SED';
% myDataset = 'SED2';
% myDataset = 'SOD';
% myDataset = 'MSRA';
% myDataset = 'JOV2008d';
myDataset = 'Bruce';


myPath = '/lab/raid/models/saliencyDetection/';


% borjiPath = '/lab/borji/borji/projects/Superpixels/datasets/ASD/saliencymaps/RC/'; %ASD
% borjiPath = '/lab/raid/models/saliencyDetection/tmp/SED1/'; %SED 1obj
% borjiPath = '/lab/raid/models/saliencyDetection/tmp/SED2/'; %SED 2obj
% borjiPath = '/lab/raid/models/saliencyDetection/tmp/SOD/'; %SOD
% borjiPath = '/lab/raid/models/saliencyDetection/tmp/MSRA/'; %MSRA
% borjiPath = '/lab/raid/models/saliencyDetection/models/JiaLiSal/ASD/'; %ASD
% borjiPath = '/lab/raid/models/saliencyDetection/models/JiaLiSal/MSRA/';
% borjiPath = '/lab/raid/models/saliencyDetection/cache/Valienti/MSRA/';
% filePath = '/lab/raid/models/saliencyDetection/cache/Valienti/ASD/';
% filePath = '/lab/raid/models/saliencyDetection/cache/DominikAKlein/MSRA/';
% filePath = '/lab/raid/models/saliencyDetection/cache/DominikAKlein/SOD/';
% filePath = '/lab/raid/models/saliencyDetection/cache/PariaMehrani/SED/';
% filePath = '/lab/raid/models/saliencyDetection/cache/Liu-ICIP-ASD-kde_1000_0.02/';
% filePath = '/lab/raid/models/saliencyDetection/cache/Liu-IETIP-ASD-gmm_1000_0.02/';
% filePath = '/lab/raid/models/saliencyDetection/cache/MengW/intrinsic_cbf/';
% filePath = '/lab/raid/models/saliencyDetection/datasets/JOV2008d_export/dataAna/salMaps/Case4/';
filePath = '/lab/raid/models/saliencyDetection/cache/Bruce_tmp/';

modelList = { ...
    %     'AC'
    %     'CA'
        'FT'
    %     'GB'
        'HC'
    %     'IT' % Itti model
        'LC'
    %     'MZ'
        'RC'
    %     'RCC'
        'SR'
    %     'JiaLiSal'
    %     'Valenti'
%     'DAKlein' % Dominik A Klein
%         'PMehrani' % Paria Mehrani
%     'LiuICIP'
%     'LiuIETIP'
%     'MengW'
%     'JOV2008d_case4'
    };

eval(['myList = ' myDataset 'getList;'])

for i=1:length(modelList)
    if ~exist([myPath 'output/' modelList{i}],'dir')
        mkdir([myPath 'output/' modelList{i}]);
    end
    if ~exist([myPath 'output/' modelList{i} '/' myDataset],'dir')
        mkdir([myPath 'output/' modelList{i} '/' myDataset]);
    end
    for j=1:length(myList)
        printLog(myTic,'dataset',myDataset,'| imgNo',j,'/',length(myList),'| model',modelList{i})
        theName = rmExt(myList{j});
        if ~exist([myPath 'output/' modelList{i} '/' myDataset '/' theName '.mat'],'file')
            %SM = imread([borjiPath theName '_' modelList{i} '.png']);
            %leName = [filePath theName '.jpg_saliency.png'];
            %leName = [filePath 'confidence_' theName '_scaled.txt'];
            %leName = [filePath theName '.jpg'];
            %leName = [filePath num2str(j) '.mat'];
            leName = [filePath theName '_' modelList{i} '.png'];
            if exist(leName,'file')
                SM = imread(leName);
                %SM = load(leName);
                %SM = SM.aa;
                save([myPath 'output/' modelList{i} '/' myDataset '/' theName '.mat'],'SM');
            else
                printLog(myTic,'Missing :',theName);
            end
        end
    end
end

end

