clear all
close all
clc
% load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_23-Feb-2012__Gauss_1.mat')
% aa=scoreROCa;
% bb=scoreROCt;
% cc=scoreROCf;
% dd=modelUsed;
%load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_24-Feb-2012__modelSegmenters_1.mat')
%load('/lab/raid/models/saliencyDetection/score/EyeCB_JOV2008d_23-Feb-2012__modelSegmenters_1.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeCB_JOV2008d_23-Feb-2012__modelSegmenters_7.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeCB_JOV2008d_23-Feb-2012__modelSegmenters_8.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeCB_JOV2008d_23-Feb-2012__modelSegmenters_3.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_24-Feb-2012__modelSegmenters_3.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_24-Feb-2012__modelSegmenters_7.mat')
% load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_24-Feb-2012__modelSegmenters_8.mat')
load('/lab/raid/models/saliencyDetection/score/EyeGauss_JOV2008d_08-Mar-2012__modelSegmenters_3.mat')
% modelUsed = [modelUsed;dd];
% scoreROCa = cat(2,scoreROCa,aa);
% scoreROCt = cat(2,scoreROCt,bb);
% scoreROCf = cat(2,scoreROCf,cc);
%gauss=[5 10 15];
% gauss=[10 30 50];
gauss=[70 90 110];



%mean(vertcat(scoreROCa{:,1,2}))

meanScore=zeros(length(modelUsed),length(gauss));
stdScore=zeros(length(modelUsed),length(gauss));

for i=1:length(modelUsed)
    for j=1:length(gauss)
        zz=vertcat(scoreROCa{:,i,j});
        meanScore(i,j) = mean(zz);
        stdScore(i,j) = std(zz)/sqrt(length(zz));
    end
end

barweb(meanScore',stdScore',[],gauss,[],'Gauss Size','AUC',[],[],modelUsed)


%%% TTEST
%%% TTEST version 2
for zGauss=1:length(gauss)

numModel = length(modelUsed);
binaryTtest = false(numModel,numModel); % create nxn
scoreTtest = zeros(numModel,numModel);

idx=nchoosek(1:numModel,2);

for i=1:size(idx,1)
    a = vertcat(scoreROCa{:,idx(i,1),zGauss});
    b = vertcat(scoreROCa{:,idx(i,2),zGauss});
    if length(a) ~= length(b); continue;end
%     [za zb] = ttest(a,b);
    [za zb] = ttest(a,b,.05/3);
    if isnan(za); continue; end
    binaryTtest(idx(i,1),idx(i,2)) = za;
    scoreTtest(idx(i,1),idx(i,2)) = zb;
end
figure
% subplot(2,1,1)
image(double(binaryTtest)*100)
set(gcf,'colormap',jet(100))
for i=1:numModel-1
    for j=i+1:numModel
        %text(j,i,num2str(scoreTtest(i,j),'%.4f'),'horizontalalignment','center')
        text(j,i,[ '\color{white}' num2str(scoreTtest(i,j))],'horizontalalignment','center')
    end
end
set(gca,'ytick',1:numModel)
set(gca,'yticklabel',modelUsed)
set(gca,'xtick',1:numModel)
set(gca,'xticklabel',modelUsed)
title(['Gauss Size = ' num2str(gauss(zGauss))]);
end