clear all
close all
clc

myTic = tic;

generatePath;

myPath = '/lab/raid/models/saliencyDetection/';

datasetUsed = { ...
%     'ASD' %only have 1, do not test
%     'MSRA'
%     'SED'
%     'SED2'
%     'SOD'
    'ImgSal'
    };

dataScore = cell(length(datasetUsed),1);
for ds=1:length(datasetUsed)
    
    eval(['imName = ' datasetUsed{ds} 'getList;'])
    allImgScore = zeros(length(imName),1);
    for imNo = 1:length(imName)
        printLog(myTic,'dataset',datasetUsed{ds},'| imgNo',imNo,'/',length(imName))
        eval(['[imBox imEachGT imAllGT] = ' datasetUsed{ds} 'getBox(imName{imNo});'])
        
        % flawed
        %         %numPpl = length(imEachGT);
        %         numPpl = max(max(imAllGT));
        %         intersect = (imAllGT == numPpl);
        %         union = imAllGT > 0;
        
        if length(imEachGT) > 1
            % 1-1 comparison between subjects
            permList = nchoosek(1:length(imEachGT),2);
            tmpScore = zeros(size(permList,1),1);
            for iz=1:size(permList,1)
                tmpIm = imEachGT{permList(iz,1)} + imEachGT{permList(iz,2)};
                tmpScore(iz) = mean2(tmpIm == 2) / mean2(tmpIm > 0); % intersec / union
            end
        else
            tmpScore = 1;
            printLog(myTic,'WARNING: single data on',imName{imNo});
        end

        allImgScore(imNo) = mean(tmpScore);
    end
    dataScore{ds} = allImgScore;
    
end

save('score/union_ImgSal.mat','dataScore','datasetUsed');


