Sal = cell(1,5);
Sal{1} = load('/lab/raid/models/saliencyDetection/output/MEP_ASD.mat');
Sal{2} = load('/lab/raid/models/saliencyDetection/output/MEP_MSRA.mat')
Sal{3} = load('/lab/raid/models/saliencyDetection/output/MEP_SED.mat')
Sal{4} = load('/lab/raid/models/saliencyDetection/output/MEP_SED2.mat')
Sal{5} = load('/lab/raid/models/saliencyDetection/output/MEP_SOD.mat')

for k=1:5
subplot(4,5,k)
imshow(Sal{k}.SM,[])
colormap('jet')
% title(datasetUsed{k})
end



load('/lab/raid/models/saliencyDetection/datasetRatio_2.mat')
% size ratios
for k=1:5
subplot(4,5,k+5)
[a b] = hist(fullRatio{k},0:.03:1);
bar(a/sum(a))
set(gca,'xtick',0:10:length(b))
set(gca,'xticklabel',[b(1:10:length(b)) b(end)])
xlim([0 length(b)+.5])
title(myDataset{k})
end

load('/lab/raid/models/saliencyDetection/score/datasetEntropy.mat')
% Entropy
for k=1:5
subplot(4,5,k+10)
[a b] = hist(myEntropy{k}, 50);
bar(a/sum(a))
set(gca,'xtick',0:10:length(b))
set(gca,'xticklabel',[b(1:10:length(b)) b(end)])
xlim([0 length(b)+.5])
title(datasetUsed{k})
end


load('/lab/raid/models/saliencyDetection/score/union_2.mat')
for k=1:4
subplot(4,5,k+16)
[a b] = hist(dataScore{k},0:.03:1);
bar(a/sum(a))
set(gca,'xtick',0:10:length(b))
set(gca,'xticklabel',[b(1:10:length(b)) b(end)])
xlim([0 length(b)+.5])
title(datasetUsed{k})
end

