function dgX = GaussDerivativeX(sigmaX, sigmaY)

gaussY = fspecial('gaussian', [ceil(sigmaY*3)*2+1 1], sigmaY);

halfXSize = ceil(sigmaX*3);
gaussX = fspecial('gaussian', [1 halfXSize*2+1], sigmaX);
useX = -halfXSize:halfXSize;

dgaussX = -useX.*gaussX/(sigmaX^2);

dgX = gaussY*dgaussX;

dgX=dgX/sqrt(dgX(:)'*dgX(:));