function textonImg = TextonFeature(labImg)
fTexton = TextonFilters();

[height width depth] = size(labImg);
textonImg = zeros(height, width, 17);

fIdx = 1;
for k=1:3
    textonImg(:,:,fIdx) = conv2(labImg(:,:,1), fTexton{k}, 'same');
    fIdx = fIdx+1;
    textonImg(:,:,fIdx) = conv2(labImg(:,:,2), fTexton{k}, 'same');
    fIdx = fIdx+1;
    textonImg(:,:,fIdx) = conv2(labImg(:,:,3), fTexton{k}, 'same');
    fIdx = fIdx+1;
end

for k=4:length(fTexton)
    textonImg(:,:,fIdx) = conv2(labImg(:,:,1), fTexton{k}, 'same');
    fIdx = fIdx+1;
end