function fTexton = TextonFilters()
fTexton = cell(11,1);

fIdx = 1;

% Gaussian
for k=0:2
    fTexton{fIdx} = fspecial('gaussian', ceil(2^k*3)*2+1, 2^k);
    fIdx = fIdx+1;
end

% Laplacian of Gaussian
for k=0:3
    fTexton{fIdx} = fspecial('log', ceil(2^k*3)*2+1, 2^k);
    fIdx = fIdx+1;
end

% Derivatives of Gaussians
for k=1:2
    fTexton{fIdx} = GaussDerivativeX(2^k, 3*2^k);
    fIdx = fIdx+1;
    fTexton{fIdx} = fTexton{fIdx-1}';
    fIdx = fIdx+1;
end